Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.soa.esb.listeners.config.xbeanmodel
Interface JmsMessageFilterDocument.JmsMessageFilter

All Superinterfaces:
  org.apache.xmlbeans.XmlObject, org.apache.xmlbeans.XmlTokenSource

All Known Implementing Classes:
  JmsMessageFilterDocumentImpl.JmsMessageFilterImpl

Enclosing interface:
  JmsMessageFilterDocument

    public static interface JmsMessageFilterDocument.JmsMessageFilter

extends org.apache.xmlbeans.XmlObject

An XML jms-message-filter(@http://anonsvn.labs.jboss.com/labs/jbossesb/trunk/product/etc/schemas/xml/jbossesb-1.0.1.xsd). This is a complex type.

Nested Class Summary
`static interface` | `JmsMessageFilterDocument.JmsMessageFilter.DestType` An XML dest-type(@).
`static class` | `JmsMessageFilterDocument.JmsMessageFilter.Factory` A factory class with static methods for creating instances of this type.

Field Summary
`static org.apache.xmlbeans.SchemaType` | `type`

Fields inherited from interface org.apache.xmlbeans.XmlObject
`EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

Method Summary
`java.lang.String` | `getAcknowledgeMode()` Gets the "acknowledge-mode" attribute
`java.lang.String` | `getDestName()` Gets the "dest-name" attribute
`JmsMessageFilterDocument.JmsMessageFilter.DestType.Enum` | `getDestType()` Gets the "dest-type" attribute
`java.lang.String` | `getJmsSecurityCredential()` Gets the "jms-security-credential" attribute
`java.lang.String` | `getJmsSecurityPrincipal()` Gets the "jms-security-principal" attribute
`boolean` | `getPersistent()` Gets the "persistent" attribute
`java.lang.String` | `getSelector()` Gets the "selector" attribute
`boolean` | `getTransacted()` Gets the "transacted" attribute
`boolean` | `isSetAcknowledgeMode()` True if has "acknowledge-mode" attribute
`boolean` | `isSetJmsSecurityCredential()` True if has "jms-security-credential" attribute
`boolean` | `isSetJmsSecurityPrincipal()` True if has "jms-security-principal" attribute
`boolean` | `isSetPersistent()` True if has "persistent" attribute
`boolean` | `isSetSelector()` True if has "selector" attribute
`boolean` | `isSetTransacted()` True if has "transacted" attribute
`void` | `setAcknowledgeMode(java.lang.String acknowledgeMode)` Sets the "acknowledge-mode" attribute
`void` | `setDestName(java.lang.String destName)` Sets the "dest-name" attribute
`void` | `setDestType(JmsMessageFilterDocument.JmsMessageFilter.DestType.Enum destType)` Sets the "dest-type" attribute
`void` | `setJmsSecurityCredential(java.lang.String jmsSecurityCredential)` Sets the "jms-security-credential" attribute
`void` | `setJmsSecurityPrincipal(java.lang.String jmsSecurityPrincipal)` Sets the "jms-security-principal" attribute
`void` | `setPersistent(boolean persistent)` Sets the "persistent" attribute
`void` | `setSelector(java.lang.String selector)` Sets the "selector" attribute
`void` | `setTransacted(boolean transacted)` Sets the "transacted" attribute
`void` | `unsetAcknowledgeMode()` Unsets the "acknowledge-mode" attribute
`void` | `unsetJmsSecurityCredential()` Unsets the "jms-security-credential" attribute
`void` | `unsetJmsSecurityPrincipal()` Unsets the "jms-security-principal" attribute
`void` | `unsetPersistent()` Unsets the "persistent" attribute
`void` | `unsetSelector()` Unsets the "selector" attribute
`void` | `unsetTransacted()` Unsets the "transacted" attribute
`org.apache.xmlbeans.XmlString` | `xgetAcknowledgeMode()` Gets (as xml) the "acknowledge-mode" attribute
`org.apache.xmlbeans.XmlString` | `xgetDestName()` Gets (as xml) the "dest-name" attribute
`JmsMessageFilterDocument.JmsMessageFilter.DestType` | `xgetDestType()` Gets (as xml) the "dest-type" attribute
`org.apache.xmlbeans.XmlString` | `xgetJmsSecurityCredential()` Gets (as xml) the "jms-security-credential" attribute
`org.apache.xmlbeans.XmlString` | `xgetJmsSecurityPrincipal()` Gets (as xml) the "jms-security-principal" attribute
`org.apache.xmlbeans.XmlBoolean` | `xgetPersistent()` Gets (as xml) the "persistent" attribute
`org.apache.xmlbeans.XmlString` | `xgetSelector()` Gets (as xml) the "selector" attribute
`org.apache.xmlbeans.XmlBoolean` | `xgetTransacted()` Gets (as xml) the "transacted" attribute
`void` | `xsetAcknowledgeMode(org.apache.xmlbeans.XmlString acknowledgeMode)` Sets (as xml) the "acknowledge-mode" attribute
`void` | `xsetDestName(org.apache.xmlbeans.XmlString destName)` Sets (as xml) the "dest-name" attribute
`void` | `xsetDestType(JmsMessageFilterDocument.JmsMessageFilter.DestType destType)` Sets (as xml) the "dest-type" attribute
`void` | `xsetJmsSecurityCredential(org.apache.xmlbeans.XmlString jmsSecurityCredential)` Sets (as xml) the "jms-security-credential" attribute
`void` | `xsetJmsSecurityPrincipal(org.apache.xmlbeans.XmlString jmsSecurityPrincipal)` Sets (as xml) the "jms-security-principal" attribute
`void` | `xsetPersistent(org.apache.xmlbeans.XmlBoolean persistent)` Sets (as xml) the "persistent" attribute
`void` | `xsetSelector(org.apache.xmlbeans.XmlString selector)` Sets (as xml) the "selector" attribute
`void` | `xsetTransacted(org.apache.xmlbeans.XmlBoolean transacted)` Sets (as xml) the "transacted" attribute

Methods inherited from interface org.apache.xmlbeans.XmlObject
`changeType, compareTo, compareValue, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

Methods inherited from interface org.apache.xmlbeans.XmlTokenSource
`documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLInputStream, newXMLInputStream, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

Field Detail

### type

    static final org.apache.xmlbeans.SchemaType type

Method Detail

### getDestName

    java.lang.String getDestName()

  Gets the "dest-name" attribute

### xgetDestName

    org.apache.xmlbeans.XmlString xgetDestName()

  Gets (as xml) the "dest-name" attribute

### setDestName

    void setDestName(java.lang.String destName)

  Sets the "dest-name" attribute

### xsetDestName

    void xsetDestName(org.apache.xmlbeans.XmlString destName)

  Sets (as xml) the "dest-name" attribute

### getDestType

    JmsMessageFilterDocument.JmsMessageFilter.DestType.Enum getDestType()

  Gets the "dest-type" attribute

### xgetDestType

    JmsMessageFilterDocument.JmsMessageFilter.DestType xgetDestType()

  Gets (as xml) the "dest-type" attribute

### setDestType

    void setDestType(JmsMessageFilterDocument.JmsMessageFilter.DestType.Enum destType)

  Sets the "dest-type" attribute

### xsetDestType

    void xsetDestType(JmsMessageFilterDocument.JmsMessageFilter.DestType destType)

  Sets (as xml) the "dest-type" attribute

### getSelector

    java.lang.String getSelector()

  Gets the "selector" attribute

### xgetSelector

    org.apache.xmlbeans.XmlString xgetSelector()

  Gets (as xml) the "selector" attribute

### isSetSelector

    boolean isSetSelector()

  True if has "selector" attribute

### setSelector

    void setSelector(java.lang.String selector)

  Sets the "selector" attribute

### xsetSelector

    void xsetSelector(org.apache.xmlbeans.XmlString selector)

  Sets (as xml) the "selector" attribute

### unsetSelector

    void unsetSelector()

  Unsets the "selector" attribute

### getPersistent

    boolean getPersistent()

  Gets the "persistent" attribute

### xgetPersistent

    org.apache.xmlbeans.XmlBoolean xgetPersistent()

  Gets (as xml) the "persistent" attribute

### isSetPersistent

    boolean isSetPersistent()

  True if has "persistent" attribute

### setPersistent

    void setPersistent(boolean persistent)

  Sets the "persistent" attribute

### xsetPersistent

    void xsetPersistent(org.apache.xmlbeans.XmlBoolean persistent)

  Sets (as xml) the "persistent" attribute

### unsetPersistent

    void unsetPersistent()

  Unsets the "persistent" attribute

### getAcknowledgeMode

    java.lang.String getAcknowledgeMode()

  Gets the "acknowledge-mode" attribute

### xgetAcknowledgeMode

    org.apache.xmlbeans.XmlString xgetAcknowledgeMode()

  Gets (as xml) the "acknowledge-mode" attribute

### isSetAcknowledgeMode

    boolean isSetAcknowledgeMode()

  True if has "acknowledge-mode" attribute

### setAcknowledgeMode

    void setAcknowledgeMode(java.lang.String acknowledgeMode)

  Sets the "acknowledge-mode" attribute

### xsetAcknowledgeMode

    void xsetAcknowledgeMode(org.apache.xmlbeans.XmlString acknowledgeMode)

  Sets (as xml) the "acknowledge-mode" attribute

### unsetAcknowledgeMode

    void unsetAcknowledgeMode()

  Unsets the "acknowledge-mode" attribute

### getJmsSecurityPrincipal

    java.lang.String getJmsSecurityPrincipal()

  Gets the "jms-security-principal" attribute

### xgetJmsSecurityPrincipal

    org.apache.xmlbeans.XmlString xgetJmsSecurityPrincipal()

  Gets (as xml) the "jms-security-principal" attribute

### isSetJmsSecurityPrincipal

    boolean isSetJmsSecurityPrincipal()

  True if has "jms-security-principal" attribute

### setJmsSecurityPrincipal

    void setJmsSecurityPrincipal(java.lang.String jmsSecurityPrincipal)

  Sets the "jms-security-principal" attribute

### xsetJmsSecurityPrincipal

    void xsetJmsSecurityPrincipal(org.apache.xmlbeans.XmlString jmsSecurityPrincipal)

  Sets (as xml) the "jms-security-principal" attribute

### unsetJmsSecurityPrincipal

    void unsetJmsSecurityPrincipal()

  Unsets the "jms-security-principal" attribute

### getJmsSecurityCredential

    java.lang.String getJmsSecurityCredential()

  Gets the "jms-security-credential" attribute

### xgetJmsSecurityCredential

    org.apache.xmlbeans.XmlString xgetJmsSecurityCredential()

  Gets (as xml) the "jms-security-credential" attribute

### isSetJmsSecurityCredential

    boolean isSetJmsSecurityCredential()

  True if has "jms-security-credential" attribute

### setJmsSecurityCredential

    void setJmsSecurityCredential(java.lang.String jmsSecurityCredential)

  Sets the "jms-security-credential" attribute

### xsetJmsSecurityCredential

    void xsetJmsSecurityCredential(org.apache.xmlbeans.XmlString jmsSecurityCredential)

  Sets (as xml) the "jms-security-credential" attribute

### unsetJmsSecurityCredential

    void unsetJmsSecurityCredential()

  Unsets the "jms-security-credential" attribute

### getTransacted

    boolean getTransacted()

  Gets the "transacted" attribute

### xgetTransacted

    org.apache.xmlbeans.XmlBoolean xgetTransacted()

  Gets (as xml) the "transacted" attribute

### isSetTransacted

    boolean isSetTransacted()

  True if has "transacted" attribute

### setTransacted

    void setTransacted(boolean transacted)

  Sets the "transacted" attribute

### xsetTransacted

    void xsetTransacted(org.apache.xmlbeans.XmlBoolean transacted)

  Sets (as xml) the "transacted" attribute

### unsetTransacted

    void unsetTransacted()

  Unsets the "transacted" attribute

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD